Package de.gebit.integrity.dsl

## Interface Call

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `SuiteStatement`, `SuiteStatementWithResult`
  All Known Implementing Classes:
    `CallImpl`

      public interface Call
      extends SuiteStatementWithResult

  A representation of the model object 'Call'.

  The following features are supported:

  - `Multiplier`
  - `Definition`
  - `Parameters`
  - `Results`
  - `Result`
  See Also:
    `DslPackage.getCall()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CallDefinition` | `getDefinition()` | Returns the value of the 'Definition' reference.
    `ExecutionMultiplier` | `getMultiplier()` | Returns the value of the 'Multiplier' containment reference.
    `org.eclipse.emf.common.util.EList<Parameter>` | `getParameters()` | Returns the value of the 'Parameters' containment reference list.
    `VariableVariable` | `getResult()` | Returns the value of the 'Result' containment reference.
    `org.eclipse.emf.common.util.EList<NamedCallResult>` | `getResults()` | Returns the value of the 'Results' containment reference list.
    `void` | `setDefinition​(CallDefinition value)` | Sets the value of the '`Definition`' reference.
    `void` | `setMultiplier​(ExecutionMultiplier value)` | Sets the value of the '`Multiplier`' containment reference.
    `void` | `setResult​(VariableVariable value)` | Sets the value of the '`Result`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getMultiplier

          ExecutionMultiplier getMultiplier()

      Returns the value of the 'Multiplier' containment reference.
      Returns:
        the value of the 'Multiplier' containment reference.
      See Also:
        `setMultiplier(ExecutionMultiplier)`, `DslPackage.getCall_Multiplier()`

    - #### setMultiplier

          void setMultiplier​(ExecutionMultiplier value)

      Sets the value of the '`Multiplier`' containment reference.
      Parameters:
        `value` - the new value of the 'Multiplier' containment reference.
      See Also:
        `getMultiplier()`

    - #### getDefinition

          CallDefinition getDefinition()

      Returns the value of the 'Definition' reference.
      Returns:
        the value of the 'Definition' reference.
      See Also:
        `setDefinition(CallDefinition)`, `DslPackage.getCall_Definition()`

    - #### setDefinition

          void setDefinition​(CallDefinition value)

      Sets the value of the '`Definition`' reference.
      Parameters:
        `value` - the new value of the 'Definition' reference.
      See Also:
        `getDefinition()`

    - #### getParameters

          org.eclipse.emf.common.util.EList<Parameter> getParameters()

      Returns the value of the 'Parameters' containment reference list. The list contents are of type `Parameter`.
      Returns:
        the value of the 'Parameters' containment reference list.
      See Also:
        `DslPackage.getCall_Parameters()`

    - #### getResults

          org.eclipse.emf.common.util.EList<NamedCallResult> getResults()

      Returns the value of the 'Results' containment reference list. The list contents are of type `NamedCallResult`.
      Returns:
        the value of the 'Results' containment reference list.
      See Also:
        `DslPackage.getCall_Results()`

    - #### getResult

          VariableVariable getResult()

      Returns the value of the 'Result' containment reference.
      Returns:
        the value of the 'Result' containment reference.
      See Also:
        `setResult(VariableVariable)`, `DslPackage.getCall_Result()`

    - #### setResult

          void setResult​(VariableVariable value)

      Sets the value of the '`Result`' containment reference.
      Parameters:
        `value` - the new value of the 'Result' containment reference.
      See Also:
        `getResult()`